# Dominik Nagy

*Rok začiatku štúdia*: 2016

## Tímový projekt 2019

*Písomná práca*: [Rešerš na tému "Sequnce to Sequence"](./timovy_projekt/README.md)

*Úlohy tímového projektu*:

    - Vypracujte min. 4 stranový rešerš na tému: "Sequence to Sequence" (Encoder-Decoder, seq2seq, transformer, attention)
    - citujte min. 10 najvýznamnejších bibliografických zdrojov
    - Prečítajte si o [konvolučných sieťach](http://www.wildml.com/2015/11/understanding-convolutional-neural-networks-for-nlp/)
    - Prečítajte si Sequence to Sequence Convolutional Neural Network for Automatic Spelling Correction 
    - Skúste si nainštalovať nástroj fairseq
    - prejdite si tutoriál https://github.com/pytorch/fairseq/blob/master/examples/translation/README.md
    
### Poznámky

Projektové stránky:

- [Spracovanie prirodzeného jazyka](/topics/nlp)
- [Python](/topics/python)
- [Sequence to Sequence](/topics/seq2seq)

V prípade záujmu je možné pracovať na úlohe strojového prekladu.

Možné trénovacie dáta: https://www.clarin.eu/resource-families/parallel-corpora

## Diplomová práca 2021

*Názov diplomovej práce*: 

*Meno vedúceho*: Ing. Daniel Hládek, PhD.

*Zadanie diplomovej práce*: 

    - Vypracujte teoretický prehľad metód "sequence to sequence".
    - Pripravte si dátovú množinu na trénovnie modelu sequence to sequence pre úlohu opravy preklepov.
    - Vyberte minmálne dva rôzne modely a porovnajte ich presnosť na vhodnej dátovej množine. 
    - Na základe výsledkov experimentov navrhnite zlepšenia